org.eclipse.incquery.patternlanguage.annotations

## Class PatternAnnotationParameter

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.annotations.PatternAnnotationParameter

-     public class PatternAnnotationParameter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOOLEAN`
    `static java.lang.String` | `DOUBLE`
    `static java.lang.String` | `INT`
    `static java.lang.String` | `LIST`
    `static java.lang.String` | `STRING`
    `static java.lang.String` | `VARIABLEREFERENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternAnnotationParameter(java.lang.String name, java.lang.String type, java.lang.String description, boolean multiple, boolean mandatory, boolean deprecated)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getType()`
    `boolean` | `isDeprecated()`
    `boolean` | `isMandatory()`
    `boolean` | `isMultiple()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final java.lang.String STRING

      See Also:
        Constant Field Values

    - #### VARIABLEREFERENCE

          public static final java.lang.String VARIABLEREFERENCE

      See Also:
        Constant Field Values

    - #### LIST

          public static final java.lang.String LIST

      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final java.lang.String BOOLEAN

      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final java.lang.String DOUBLE

      See Also:
        Constant Field Values

    - #### INT

          public static final java.lang.String INT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PatternAnnotationParameter

          public PatternAnnotationParameter(java.lang.String name,
                                            java.lang.String type,
                                            java.lang.String description,
                                            boolean multiple,
                                            boolean mandatory,
                                            boolean deprecated)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getType

          public java.lang.String getType()

    - #### getDescription

          public java.lang.String getDescription()

    - #### isMultiple

          public boolean isMultiple()

    - #### isMandatory

          public boolean isMandatory()

    - #### isDeprecated

          public boolean isDeprecated()